
Redmine - Feature #10926

Version custom field should display the project name in the combo box

2012-05-15 15:30 - Maher Gamal

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

We have a large platform project with many sub-projects and it's important to declare the version dependencies between the

sub-projects.

For sure we have this information in our projects' build descriptions, but having it in the roadmaps makes it clear what a project

depends on.

Unfortunately, selecting the right versions from the custom field combo box is not usable enough since the sub-project name is not

prepended to the version name.

Example v1.0 to be Inventory - v1.0, just like in the Target version issue filter.

Related issues:

Is duplicate of Redmine - Feature #9850: Differentiate shared versions in ver... Closed

History

#1 - 2012-05-15 15:46 - Etienne Massip

- Target version set to Candidate for next minor release

#2 - 2012-05-15 15:46 - Etienne Massip

- Tracker changed from Defect to Feature

#3 - 2012-05-15 16:38 - Maher Gamal

I would like to add that it would be great to have the value appearing on the roadmap page link to the version's page.

Ex. Inventory v1.0 links to http://www.example.com/versions/3213

#4 - 2012-05-15 17:53 - Mischa The Evil

- Resolution set to Duplicate

The issue as reported in the initial description (so excluding the roadmap 'thingy' as described in #note-3) is exactly the thing I've reported in issue 

#9850, which itself is also related to #9851.

#5 - 2013-02-15 23:10 - Mischa The Evil

- Status changed from New to Closed

- Target version deleted (Candidate for next minor release)

Maher Gamal wrote:

[...]

For sure we have this information in our projects' build descriptions, but having it in the roadmaps makes it clear what a project depends on.

[...]

[...]

I would like to add that it would be great to have the value appearing on the roadmap page link to the version's page.

[...]
 Mischa The Evil wrote:

[...] so excluding the roadmap 'thingy' as described in #note-3) [...]

Actually, the project name is already prepended to shared versions displayed on the Roadmap view with or without using the Subprojects selection in

the right side-bar. This also applies to both the project- and global Gantt views but specifically not for:

the project Calendar view (since shared versions aren't displayed there anyways);

the Version view (since versions are always tied to a single project anyway);

the project- and global Issue list view columns and finally, I think,

the Redmine version links.

I suggest to move this topic to #9850. I'll start by updating it with the found information (based on Redmine 2.1.x / *.m.redmine.org) in #9850-9

[note-9].

Mischa The Evil wrote:

[...] is exactly the thing I've reported in issue #9850, which itself is also related to #9851.

 The initial request to display the project name prepended to a version in the Version custom field combo box is duplicating #9850 completely as said

earlier; hence closing this issue as such.
